Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.reader
Class ChannelManager.State

    java.lang.Object
      java.lang.Enum
          com.connecterra.ale.reader.ChannelManager.State

All Implemented Interfaces:
  Serializable, Comparable

Enclosing class:
  ChannelManager

    public static final class ChannelManager.State

extends Enum

The manager implements a state machine which has these states.

See Also:
  Serialized Form

Field Summary
`static ChannelManager.State` | `ACTIVATING` The manager is in the process of activating the channels and initializing the proxy.
`static ChannelManager.State` | `ACTIVE` Communications with the device are online, that is, the channels are active and proxy initialization has completed.
`static ChannelManager.State` | `DEACTIVATING` The manager is shutting down communications.
`static ChannelManager.State` | `INACTIVE` Communications with the device are offline.
`static ChannelManager.State` | `OFFLINE` The manager enters this state after a failure.
`static ChannelManager.State` | `TERMINATED` The manager enters this state when the system is being shut down.

Method Summary
`static ChannelManager.State` | `valueOf(String name)`
`static ChannelManager.State[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### INACTIVE

    public static final ChannelManager.State INACTIVE

  Communications with the device are offline. If an Operation is executed in this state, then the channels must be activated and the proxy initialized before the operation is actually executed.

### ACTIVATING

    public static final ChannelManager.State ACTIVATING

  The manager is in the process of activating the channels and initializing the proxy.

### ACTIVE

    public static final ChannelManager.State ACTIVE

  Communications with the device are online, that is, the channels are active and proxy initialization has completed. Operations may be executed without any additional work.

### DEACTIVATING

    public static final ChannelManager.State DEACTIVATING

  The manager is shutting down communications. This occurs after an IOException, or during the `ChannelManager.reactivateChannels()` process.

### OFFLINE

    public static final ChannelManager.State OFFLINE

  The manager enters this state after a failure.

### TERMINATED

    public static final ChannelManager.State TERMINATED

  The manager enters this state when the system is being shut down. No Operations will be executed.

Method Detail

### values

    public static final ChannelManager.State[] values()

### valueOf

    public static ChannelManager.State valueOf(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD